WWW::Mechanize::Image(3pm)

NAME
WWW::Mechanize::Image - Image object for WWW::Mechanize

VERSION
version 2.22

SYNOPSIS
Image object to encapsulate all the stuff that Mech needs

Constructor

  new()
Creates and returns a new "WWW::Mechanize::Image" object.

    my $image = WWW::Mechanize::Image->new( {
        url    => $url,
        base   => $base,
        tag    => $tag,
        name   => $name,     # From the INPUT tag
        height => $height,   # optional
        width  => $width,    # optional
        alt    => $alt,      # optional
        attrs  => $attr_ref, # optional
    } );

Accessors

  $image->url()
Image URL from the "src" attribute of the source tag.

May be "undef" if source tag has no "src" attribute.

  $image->base()
Base URL to which the links are relative.

  $image->name()
Name for the field from the NAME attribute, if any.

  $image->tag()
Tag name (either "image" or "input")

  $image->height()
Image height

  $image->width()
Image width

  $image->alt()
ALT attribute from the source tag, if any.

  $image->attrs()
Hash ref of all the attributes and attribute values in the tag.

  $image->URI()
Returns the URL as a URI::URL object.

  $image->url_abs()
Returns the URL as an absolute URL string.

SEE ALSO
WWW::Mechanize and WWW::Mechanize::Link

AUTHOR
Andy Lester <andy at petdance.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2004 by Andy Lester.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.